org.apache.tapestry5.internal.plastic

## Class PlasticClassLoader

- java.lang.Object
- - java.lang.ClassLoader
  - - org.apache.tapestry5.internal.plastic.PlasticClassLoader

-     public class PlasticClassLoader
      extends java.lang.ClassLoader

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlasticClassLoader(java.lang.ClassLoader parent, ClassLoaderDelegate delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<?>` | `defineClassWithBytecode(java.lang.String className, byte[] bytecode)`
    `protected java.lang.Class<?>` | `loadClass(java.lang.String name, boolean resolve)`

    - ### Methods inherited from class java.lang.ClassLoader

      `clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getClassLoadingLock, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, registerAsParallelCapable, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlasticClassLoader

          public PlasticClassLoader(java.lang.ClassLoader parent,
                                    ClassLoaderDelegate delegate)

  - ### Method Detail

    - #### loadClass

          protected java.lang.Class<?> loadClass(java.lang.String name,
                                                 boolean resolve)
                                          throws java.lang.ClassNotFoundException

      Overrides:
        `loadClass` in class `java.lang.ClassLoader`
      Throws:
        `java.lang.ClassNotFoundException`

    - #### defineClassWithBytecode

          public java.lang.Class<?> defineClassWithBytecode(java.lang.String className,
                                                            byte[] bytecode)

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.